Edit a party
Needs: Incidents, Read-write
Edits a witness or involved party. Send only what changes.
curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incident-parties/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"status": "Contacted"
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/incident-parties/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"status": "Contacted"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/incident-parties/123", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"status": "Contacted"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"status": "Contacted"
}`)
req, err := http.NewRequest("PATCH", "https://app.imploy.com.au/api/integrations/v1/incident-parties/123", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/incident-parties/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"status": "Contacted"
}'
response = http.request(request)
puts response.body
{
"updated": 8,
"kind": "incident"
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/incident-parties/{id}Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The party id from the incident's parties.
The media type of the request body
staff, client, family or other.
For role staff.
For role client.
For roles family and other.
For roles family and other.
Optional email.
For witnesses: Primary Witness or Witness (default Witness). For other involved parties: how they are involved.
Contacted, Pending or Not Contacted.
Notes about the person.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The party id from the incident's parties.
Body
staff, client, family or other.
For role staff.
For role client.
For roles family and other.
For roles family and other.
Optional email.
For witnesses: Primary Witness or Witness (default Witness). For other involved parties: how they are involved.
Contacted, Pending or Not Contacted.
Notes about the person.
Responses
OK